package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractCustomizeFieldImgDownloadRequest struct {
	// <ext>core:true</ext> 【电子签约文件ID】电子签约文件ID 【作用】 指定需查询的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	ContractId string `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 指定需查询的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【图片key值】图片key值 【作用】 获取电子签约图片自定义字段中维护的图片文件
	ImgFileKey string `json:"imgFileKey,omitempty"`
}

func (obj ContractCustomizeFieldImgDownloadRequest) GetUrl() string {
	return "/contract/customize/field/img/download"
}

func (obj ContractCustomizeFieldImgDownloadRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("imgFileKey", obj.ImgFileKey)
	return parameter
}
